import * as webpack from 'webpack';
import { ConsolePluginBuildMetadata } from '../build-types';
import { Extension } from '../types';
import { BaseValidator } from './BaseValidator';
type ExtensionCodeRefData = {
    index: number;
    propToCodeRefValue: {
        [propName: string]: string;
    };
};
export declare const collectCodeRefData: (extensions: Extension[]) => ExtensionCodeRefData[];
export declare const findWebpackModules: (compilation: webpack.Compilation, exposedModules: ConsolePluginBuildMetadata["exposedModules"]) => {
    [moduleName: string]: webpack.Module;
};
export declare class ExtensionValidator extends BaseValidator {
    validate(compilation: webpack.Compilation, extensions: Extension[], exposedModules: ConsolePluginBuildMetadata['exposedModules']): import("./ValidationResult").ValidationResult;
}
export {};
